MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022094Open CASCADE[OCCT] OCCT:Foundation Classespublic2010-10-22 16:552019-04-26 11:54
Reportervro 
Assigned Toagv 
PrioritynormalSeverityfeature 
StatusassignedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0022094: Speeding-up Standard_GUID::HashCode()
DescriptionIt happened so that the method Standard_GUID::HashCode() is a very very popular
method! It is widely used in OCAF for storage of presentation, function and
other drivers, for example.
As I noticed, the method is frequently called for the same GUID. This
improvement implements an idea to cache the hash code calculated for the
previous call of the method if the "Upper" and the GUID are equal.
TagsNo tags attached.
Test case numberNot needed
Attached Fileszip file icon vro-OCC22094-v1.zip (2,907 bytes) 2010-10-22 15:00
zip file icon vro-OCC22094-v2.zip (2,950 bytes) 2010-10-25 10:37

- Relationships

-  Notes
(0068278)
mkv (tester)
2017-07-13 18:46

Dear BugMaster,
Could you please close this issue - reason: resolution of ABV.

- Issue History
Date Modified Username Field Change
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2017-07-13 18:46 mkv Note Added: 0068278
2017-07-13 18:46 mkv Status new => feedback
2017-07-13 18:46 mkv Test case number => Not needed
2017-07-13 18:46 mkv Fixed in Version EMPTY =>
2017-07-13 18:46 mkv Description Updated View Revisions
2017-07-13 19:09 bugmaster Status feedback => closed
2017-07-13 19:09 bugmaster Resolution open => no change required
2019-04-26 11:54 vro Assigned To bugmaster => agv
2019-04-26 11:54 vro Status closed => feedback
2019-04-26 11:54 vro Resolution no change required => reopened
2019-04-26 11:54 vro Status feedback => assigned


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker